/**
 * IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * Copyright IBM Corporation 2008
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
*/
package com.ibm.wbimonitor.sample.fabric.mediation;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Class to read message resource
 * @author Yuan Zhao
 * @version 1.0
 * @date Aug 22, 2008
 */
public class Messages {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2008.";  //$NON-NLS-1$

	// message resource bundle name
	private static final String BUNDLE_NAME = "com.ibm.wbimonitor.sample.fabric.mediation.messages"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle.getBundle(BUNDLE_NAME);

	/**
	 * Constructor
	 */
	private Messages() {
		// Constructor - Auto generated
	}
	
	/**
	 * Get message from resource bundle by key
	 * @param key
	 * @return
	 */
	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
