/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2009 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.banking.util;

import java.util.Map;

/**
 * @author govindm
 *
 */
public class BPELContextHandler {

    /**
     * private Const.
     */
    private BPELContextHandler() {
    }
    
    /**
     * @return - Map
     */
    public static Map<Object, Object> getContextProperties() {
        return bpelContext.get();
    }
    
    /**
     * @param properties
     */
    public static void setContextProperties(Map<Object, Object> properties) {
        bpelContext.set(properties);
    }
    
    /**
     * Instance Thread Local.
     */
    private static ThreadLocal<Map<Object, Object>> bpelContext = new ThreadLocal<Map<Object, Object>>();
    
}
