/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2009 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */
package com.ibm.websphere.icp.banking.util;

import com.ibm.websphere.fabric.da.util.SdoXPathUtil;
import com.ibm.websphere.fabric.da.util.XPathSearchResult;
import commonj.sdo.DataObject;

/**
 * Utility providing methods for usage across the solution scenario.
 * 
 * @author govindm
 *
 */
public class BankingUtil {

    /**
     * Returns an object from the for DataObject with the given XPath.
     * 
     * @param objectDO
     * @param xpath
     * @return Object
     */
    public static Object getValueFromXPath(DataObject objectDO, String xpath) {
        Object value = null;
        XPathSearchResult xpsresult = SdoXPathUtil.getViaXpath(objectDO, xpath);
        if(xpsresult!= null) {
	        if (xpsresult.isDataObject()) {
                value = ((DataObject)xpsresult.getValue()).get("value");
            } else {
                value = xpsresult.getValue();
            }    	
	    }
        return value;
    }

    /**
     * Returns DataObject from the for DataObject with the given XPath.
     * 
     * @param objectDO
     * @param xpath
     * @return DataObject
     */
    public static DataObject getDOFromXPath(DataObject objectDO, String xpath) {
        XPathSearchResult xpsresult = SdoXPathUtil.getViaXpath(objectDO, xpath);
	    return (DataObject)xpsresult.getValue();
    }
}
